summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-07-25 02:48:52 +0300
committerMart Raudsepp <leio@gentoo.org>2018-07-25 02:49:32 +0300
commit3cf88f8d4ae9db896054b12a03ff17e495adbdfd (patch)
tree9c1c9da2eb62c563d49eeb8c93444720b243f614
parentdev-python/humanize: add Python 3.7, EAPI=7 (diff)
downloadgentoo-3cf88f8d4ae9db896054b12a03ff17e495adbdfd.tar.gz
gentoo-3cf88f8d4ae9db896054b12a03ff17e495adbdfd.tar.bz2
gentoo-3cf88f8d4ae9db896054b12a03ff17e495adbdfd.zip
net-misc/networkmanager-vpnc: security bump to 1.2.6
Bug: https://bugs.gentoo.org/661712 Package-Manager: Portage-2.3.43, Repoman-2.3.10
-rw-r--r--net-misc/networkmanager-vpnc/Manifest1
-rw-r--r--net-misc/networkmanager-vpnc/networkmanager-vpnc-1.2.6.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/net-misc/networkmanager-vpnc/Manifest b/net-misc/networkmanager-vpnc/Manifest
index fe3f505a7a6..d85a3250ee0 100644
--- a/net-misc/networkmanager-vpnc/Manifest
+++ b/net-misc/networkmanager-vpnc/Manifest
@@ -1 +1,2 @@
DIST NetworkManager-vpnc-1.2.4.tar.xz 402428 BLAKE2B 64d4241e2d8339f0b92a2d56dac4d8fd53575c4ebd7767bb1aeaf3dd1028bf563410d9c323e118b1ac64a0dfbc54162e88f50061ee657f846c2aa679c2f4abd0 SHA512 313fec1b054870d14908df3eba6db28eaf4b3c45cdd745ddea682870a6eb058971bbc1dccbd399b2270ab63c6e8ceeeded12bf7b9c7eb283ea591b2c0715ecbc
+DIST NetworkManager-vpnc-1.2.6.tar.xz 417412 BLAKE2B 00072e2f5449687a55ff4dc0382c4ef2bb2042f9b2a4437d1d6790084ff1b88210e45909808048498f315d59ed5408630ae15d09a1d22e4acbf840554e452546 SHA512 4f8adf58d73cef74a950d822c6f17cd813a1e74fcd3c0391f847541c279e448a6353b83984d593fe5e11138a37b7f1c21b9a24a6843c1d35e4cb68bc29bc3eb1
diff --git a/net-misc/networkmanager-vpnc/networkmanager-vpnc-1.2.6.ebuild b/net-misc/networkmanager-vpnc/networkmanager-vpnc-1.2.6.ebuild
new file mode 100644
index 00000000000..6149a172ac2
--- /dev/null
+++ b/net-misc/networkmanager-vpnc/networkmanager-vpnc-1.2.6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME_ORG_MODULE="NetworkManager-${PN##*-}"
+
+inherit gnome2
+
+DESCRIPTION="NetworkManager VPNC plugin"
+HOMEPAGE="https://wiki.gnome.org/Projects/NetworkManager"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="gtk test"
+
+RDEPEND="
+ >=net-misc/networkmanager-1.2.0:=
+ >=dev-libs/dbus-glib-0.74
+ >=dev-libs/glib-2.32:2
+ >=net-vpn/vpnc-0.5.3_p550
+ gtk? (
+ >=app-crypt/libsecret-0.18
+ >=gnome-extra/nm-applet-1.2.0
+ >=x11-libs/gtk+-3.4:3
+ )
+"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ dev-util/intltool
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ # Test will fail if the machine doesn't have a particular locale installed
+ # https://bugzilla.gnome.org/show_bug.cgi?id=742708
+ sed '/test_non_utf8_import (plugin/ d' \
+ -i properties/tests/test-import-export.c || die "sed failed"
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-more-warnings \
+ --disable-static \
+ --with-dist-version=Gentoo \
+ $(use_with gtk gnome)
+}